package com.huatek.busi.service;
import java.time.LocalDate;
import java.util.List;

import com.huatek.busi.entity.BusiTransformerLoad;
/**
  * @ClassName: BusiTransformerLoadService
  * @Description: TODO.
  * @author: arno
  * @Email : arno_fu@huatek.com
  * @date: 2018-09-19 14:24:15
  * @version: 1.0
  */
public interface BusiTransformerLoadService{

	void saveOrUpdateLoad(String siteId, String mainTreeId, String brandId, LocalDate loadTime, String loadRate);
	
	BusiTransformerLoad getLoaByEquipmentIdAndDate(String siteId, String equipmentId, LocalDate loadTime);
	
	List<BusiTransformerLoad> getLoaByEquipmentIdAndDates(String siteId, String equipmentId, LocalDate startDate, LocalDate endDate);

	String getLoadRate(String mainTreeId, LocalDate loaddTime);
}
